# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/arm/apm.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: APM X-Gene SoC Platforms

maintainers:
  - Khuong Dinh <khuong@os.amperecomputing.com>

properties:
  $nodename:
    const: "/"
  compatible:
    oneOf:
      - description: Boards with X-Gene1 Soc
        items:
          - const: apm,mustang
          - const: apm,xgene-storm

      - description: Boards with X-Gene2 SoC
        items:
          - const: apm,merlin
          - const: apm,xgene-shadowcat

additionalProperties: true
...
